[PATCH] char signedness fixes

Fix some of the more sensible char signedness warnings thrown out by GCC-4.0

diff -urN b/NQ/host.c head/NQ/host.c
--- b/NQ/host.c	2004-11-03 18:19:52.000000000 +1030
+++ head/NQ/host.c	2005-11-03 20:43:07.000000000 +1030
@@ -424,7 +424,7 @@
     int i;
     int count;
     sizebuf_t buf;
-    char message[4];
+    byte message[4];
     double start;
 
     if (!sv.active)
diff -urN b/NQ/host_cmd.c head/NQ/host_cmd.c
--- b/NQ/host_cmd.c	2004-08-11 22:35:12.000000000 +0930
+++ head/NQ/host_cmd.c	2005-11-03 20:48:21.000000000 +1030
@@ -761,7 +761,7 @@
     client_t *save;
     int j;
     char *p;
-    unsigned char text[64];
+    char text[64];
     qboolean fromServer = false;
 
     if (cmd_source == src_command) {
diff -urN b/NQ/sv_main.c head/NQ/sv_main.c
--- b/NQ/sv_main.c	2004-11-03 17:43:00.000000000 +1030
+++ head/NQ/sv_main.c	2005-11-03 20:51:32.000000000 +1030
@@ -969,7 +969,7 @@
 void
 SV_SendReconnect(void)
 {
-    char data[128];
+    byte data[128];
     sizebuf_t msg;
 
     msg.data = data;
diff -urN b/QW/client/cl_demo.c head/QW/client/cl_demo.c
--- b/QW/client/cl_demo.c	2004-08-08 18:57:33.000000000 +0930
+++ head/QW/client/cl_demo.c	2005-11-03 21:39:27.000000000 +1030
@@ -387,7 +387,7 @@
     int c;
     char name[MAX_OSPATH];
     sizebuf_t buf;
-    char buf_data[MAX_MSGLEN];
+    byte buf_data[MAX_MSGLEN];
     int n, i, j;
     char *s;
     entity_t *ent;
diff -urN b/QW/client/cl_main.c head/QW/client/cl_main.c
--- b/QW/client/cl_main.c	2004-08-11 22:35:12.000000000 +0930
+++ head/QW/client/cl_main.c	2005-11-03 21:43:25.000000000 +1030
@@ -459,7 +459,7 @@
 	    CL_Stop_f();
 
 	final[0] = clc_stringcmd;
-	strcpy(final + 1, "drop");
+	strcpy((char *)final + 1, "drop");
 	Netchan_Transmit(&cls.netchan, 6, final);
 	Netchan_Transmit(&cls.netchan, 6, final);
 	Netchan_Transmit(&cls.netchan, 6, final);
diff -urN b/QW/client/cl_parse.c head/QW/client/cl_parse.c
--- b/QW/client/cl_parse.c	2005-11-27 18:36:48.000000000 +1030
+++ head/QW/client/cl_parse.c	2005-11-27 18:29:25.000000000 +1030
@@ -346,7 +346,7 @@
 CL_ParseDownload(void)
 {
     int size, percent;
-    byte name[1024];
+    char name[1024];
     int r;
 
 
diff -urN b/common/snd_mem.c head/common/snd_mem.c
--- b/common/snd_mem.c	2004-07-25 15:59:59.000000000 +0930
+++ head/common/snd_mem.c	2005-11-03 20:50:39.000000000 +1030
@@ -217,7 +217,7 @@
 #endif
 	data_p -= 8;
 	last_chunk = data_p + 8 + ((iff_chunk_len + 1) & ~1);
-	if (!strncmp(data_p, name, 4))
+	if (!strncmp((char *)data_p, name, 4))
 	    return;
     }
 }
@@ -270,7 +270,7 @@
 
 // find "RIFF" chunk
     FindChunk("RIFF");
-    if (!(data_p && !strncmp(data_p + 8, "WAVE", 4))) {
+    if (!(data_p && !strncmp((char *)data_p + 8, "WAVE", 4))) {
 	Con_Printf("Missing RIFF/WAVE chunks\n");
 	return info;
     }
@@ -305,7 +305,8 @@
 	// if the next chunk is a LIST chunk, look for a cue length marker
 	FindNextChunk("LIST");
 	if (data_p) {
-	    if (!strncmp(data_p + 28, "mark", 4)) {	// this is not a proper parse, but it works with cooledit...
+	    /* this is not a proper parse, but it works with cooledit... */
+	    if (!strncmp((char *)data_p + 28, "mark", 4)) {
 		data_p += 24;
 		i = GetLittleLong();	// samples in loop
 		info.samples = info.loopstart + i;
